Package: grails.util

## [Java] Class ExtendedProxy

- grails.util.ExtendedProxy

-     public class ExtendedProxy
      extends groovy.util.Proxy

  Extends the Groovy Proxy implementation and adds proxying of property getters/setters.

  Authors:
    Graeme Rocher
    Jonathan Carlson

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map` | `propertyMap` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtendedProxy ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `getProperty(java.lang.String property)`
    `` | `public void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
    `` | `public void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.util.Proxy` | `groovy.util.Proxy#getAdaptee(), groovy.util.Proxy#setAdaptee(java.lang.Object), groovy.util.Proxy#invokeMethod(java.lang.String, java.lang.Object), groovy.util.Proxy#iterator(), groovy.util.Proxy#wrap(java.lang.Object), groovy.util.Proxy#getMetaClass(), groovy.util.Proxy#setMetaClass(groovy.lang.MetaClass), groovy.util.Proxy#wait(long), groovy.util.Proxy#wait(long, int), groovy.util.Proxy#wait(), groovy.util.Proxy#equals(java.lang.Object), groovy.util.Proxy#toString(), groovy.util.Proxy#hashCode(), groovy.util.Proxy#getClass(), groovy.util.Proxy#notify(), groovy.util.Proxy#notifyAll(), groovy.util.Proxy#getProperty(java.lang.String), groovy.util.Proxy#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### @java.lang.SuppressWarnings("rawtypes") private java.util.Map propertyMap

  - ### Constructor Detail

    - #### public ExtendedProxy()

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### @java.lang.Override public void setMetaClass(groovy.lang.MetaClass metaClass)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)